summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-02-13 19:46:14 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-02-13 19:46:14 +0000
commit547e06aefa32573acff43706477f83e004c88040 (patch)
treec44602cbde473aeca0a3893a154d16a7e3364111 /dev-python
parent3c77732b59f2e9aa0e654078f60575de79a58ce7 (diff)
downloadbaldeagleos-repo-547e06aefa32573acff43706477f83e004c88040.tar.gz
baldeagleos-repo-547e06aefa32573acff43706477f83e004c88040.tar.xz
baldeagleos-repo-547e06aefa32573acff43706477f83e004c88040.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.36.19.ebuild53
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.36.19.ebuild67
-rw-r--r--dev-python/clang/Manifest2
-rw-r--r--dev-python/clang/clang-20.1.0_rc2.ebuild53
-rw-r--r--dev-python/cryptography/Manifest5
-rw-r--r--dev-python/cryptography/cryptography-44.0.1.ebuild10
-rw-r--r--dev-python/fixtures/Manifest1
-rw-r--r--dev-python/fixtures/fixtures-4.2.3.ebuild28
-rw-r--r--dev-python/googleapis-common-protos/Manifest1
-rw-r--r--dev-python/googleapis-common-protos/googleapis-common-protos-1.67.0.ebuild31
-rw-r--r--dev-python/lit/Manifest2
-rw-r--r--dev-python/lit/lit-20.1.0_rc2.ebuild45
-rw-r--r--dev-python/mkdocs-material/Manifest1
-rw-r--r--dev-python/mkdocs-material/mkdocs-material-9.6.4.ebuild67
-rw-r--r--dev-python/myst-parser/Manifest1
-rw-r--r--dev-python/myst-parser/myst-parser-4.0.1.ebuild63
-rw-r--r--dev-python/pytest-check/Manifest1
-rw-r--r--dev-python/pytest-check/pytest-check-2.5.0.ebuild28
-rw-r--r--dev-python/recurring-ical-events/Manifest2
-rw-r--r--dev-python/recurring-ical-events/recurring-ical-events-3.5.1.ebuild (renamed from dev-python/recurring-ical-events/recurring-ical-events-3.4.1.ebuild)13
-rw-r--r--dev-python/reportlab/Manifest1
-rw-r--r--dev-python/reportlab/reportlab-4.3.1.ebuild53
-rw-r--r--dev-python/sendgrid/Manifest2
-rw-r--r--dev-python/sendgrid/sendgrid-6.11.0.ebuild46
-rw-r--r--dev-python/sendgrid/sendgrid-6.9.7.ebuild33
-rw-r--r--dev-python/sphinx-gallery/Manifest1
-rw-r--r--dev-python/sphinx-gallery/sphinx-gallery-0.19.0.ebuild51
-rw-r--r--dev-python/translate-toolkit/Manifest1
-rw-r--r--dev-python/translate-toolkit/translate-toolkit-3.14.8.ebuild119
-rw-r--r--dev-python/trimesh/Manifest1
-rw-r--r--dev-python/trimesh/trimesh-4.6.2.ebuild80
33 files changed, 815 insertions, 49 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 0f22364cd234..4acbe6cf03c5 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -2,4 +2,5 @@ DIST boto3-1.36.11.gh.tar.gz 896841 BLAKE2B 092cfaeb6dc6f6d3f523fe4e0b600817e614
DIST boto3-1.36.16.gh.tar.gz 898785 BLAKE2B fa3de504bb8c58fa5653a3fc3414a333283c04ca800b8d37b310b291e60af96b27c994d2571e4dc0f159c98a41d014000ce7afe020f38da80a2cac49283ba2cc SHA512 6cbbe6cdb505ace41e5e20ff144d1d312d8a53e3c7c2e8d50a981c55e485cdf98ac6711c36cb3697e257aab08e240fa1e731485aec3dd8b74cd5163c489bd61f
DIST boto3-1.36.17.gh.tar.gz 899108 BLAKE2B 3c1694499e7bc48abf3d8bd8e6c783258798d3600aedfe95299634ef6f848e531bd68010e8e6c2f0dc777dd8b379a40902272e8e623d177891da4e6f4e52156e SHA512 9574ed2b26e95a54f1300c52a9511462676dcdc06d05f216c4e722ec3b8f8d6730b3aaae218d4607fcb87d9a99a83587d76146b3188bc01a5635ac638576178a
DIST boto3-1.36.18.gh.tar.gz 899576 BLAKE2B 03fb22fa6e34fdb09000ce93078b7d465ede8bca7933b0254544a55dfe036616091b293af71669b0f43a99a5322cf08c0bdc18050fa26ddc148b2d8b885198b1 SHA512 138d7d5c70920a890519aabc50504b9a8210c2a3140daa1b8ebbe9cfebf6699c43a9215b0915625974c66a44d63398f0190072392d98ada25178cfad56627b0f
+DIST boto3-1.36.19.gh.tar.gz 900374 BLAKE2B 4c53174c011f32f197ca0594df51968242edecbbe8411a02299816a07c9eb59b04d44da1c1ae18c255bb1959f10b2b382d1d25dfbb17b0f66470c390fa03ef9c SHA512 d604978b7444aa9fccaf939d45cb53dddd13472458ff5a2ec0d666bd593844623c4568dce223c688ebd302bdcf2ef68f8f6f508f119621ee663ef45d6b578285
DIST boto3-1.36.6.gh.tar.gz 925646 BLAKE2B 71db3ff552033c187e19b699d193e4834649b80d2c0dd2ed35496bfef798371f7794e58d445aeeafcc3e4aef50d4dc6e17347b04ae82b4f3b7778a1a5e419daf SHA512 c638903cb3afff4867dbee7295e387f5ce91d9d3d9f37b28c103ead87883377a69fbccfce34850da5c77186ced0bb56f5dc5f4549e84871d10a9134c731d4c36
diff --git a/dev-python/boto3/boto3-1.36.19.ebuild b/dev-python/boto3/boto3-1.36.19.ebuild
new file mode 100644
index 000000000000..dfe05b3d9a81
--- /dev/null
+++ b/dev-python/boto3/boto3-1.36.19.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.11.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 332fa319ee9e..12845ee0e0f0 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -2,4 +2,5 @@ DIST botocore-1.36.11.gh.tar.gz 14197086 BLAKE2B 471c4d4d8433c5ce577b76e3dc70e9c
DIST botocore-1.36.16.gh.tar.gz 14211411 BLAKE2B 88ea5860e628985d7643acc430b62ed1a57c0c6a05081e156630bf4090aaf00fa18efd39f3d7914d2eab97b3cb1ac5d355714ccc1a6af3f2e1bec2a6b067e608 SHA512 7c1f66b7835df3fb5fef726762d09eecfc7b1c3cad5df7f6e1d1ec90fd1d7f505243d92c6c4184b0dc15b541c9e3d14d07cc91ce317655d98ad9d74f289e72e6
DIST botocore-1.36.17.gh.tar.gz 14211225 BLAKE2B e589bc5bdd5d8f350fb281fd4b3367a8c47beebafe3e4c087bfd8919a65e2e1adaab3cb0cb8fff877c813656835a12537e7ffdec8e9daf13841279b3ead58142 SHA512 8f30247d21a01c3cafe8f1ef938207f14a626fe17b7c29a510886014af866d985804f83563be0ac2a7894fbf8a5b6cc78554904e8f5f9f9ca69ecf615a30d613
DIST botocore-1.36.18.gh.tar.gz 14215558 BLAKE2B b8f142da59626db83ded0c165bd05c312ba98aaebc7eab9217702057ee5876146518e9095dae8443daaae1eadad2a045405fc8a57ae5f04266ec82fe15b3308c SHA512 b3cc042e83db579da5a3d24fbacdbab6df98381d6e34ef0c19d3285669599f023ffccbb235620646ed02c3a7d6ab87cc31d732889cb1bdd797f405c8df292a8a
+DIST botocore-1.36.19.gh.tar.gz 14217764 BLAKE2B 2c7c00ab07ed3955809451a47e9b38ebe3ff8d4cf729b4c1a6ddc18f0564d79ef18b9c60c685006beedf19db224dba868116a515096332c110975b073fda0413 SHA512 c19c4bb0412addeb009d7d1d621a54efa616b3ddb219bada0abc48f4b421e705bdd14e7d71540b8021c01e04b707389f0cc38f4648f42ecc0fdcd6b21990ac4c
DIST botocore-1.36.6.gh.tar.gz 14173329 BLAKE2B 1eea293adad312439f2c60e0f73f721fa207439af2918fb5db98304a565e44d33f953f517e5526e865cbf58751892be4a6cc275545f295638109ee4051d2a276 SHA512 bcd1077bfeb5709e8c6224560f7974d70a884310539b531f520b20446aeaf3aa5d9aba6cbd19d75526d34dd7ab68be578f5ece7bddf7986997f9f5bbd5cee905
diff --git a/dev-python/botocore/botocore-1.36.19.ebuild b/dev-python/botocore/botocore-1.36.19.ebuild
new file mode 100644
index 000000000000..df85ee0d220c
--- /dev/null
+++ b/dev-python/botocore/botocore-1.36.19.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/clang/Manifest b/dev-python/clang/Manifest
index 04bfb25ffdfc..e2345ea11956 100644
--- a/dev-python/clang/Manifest
+++ b/dev-python/clang/Manifest
@@ -13,6 +13,8 @@ DIST llvm-project-19.1.7.src.tar.xz.sig 438 BLAKE2B 4015140f4ba77de45039bdbdfbaf
DIST llvm-project-1f26ac10ca1bef40a80be8f81a6f109713bc586f.tar.gz 226424755 BLAKE2B 642befb8d6923f335d1d68129ebb7357f8ba22e110df494dd956c8097e4e5db4b2a88fcc069ab67184b03558f072c68e002bdaf90eba865e38b1473a0ef29eed SHA512 e9bb4fd31bbad5ec864c662515b5ec2e5511cce975040f9f3cd8f009c92f76077928feae0467fd9519a001a379c857f7539c506953d8d5a9209a9f358f414aac
DIST llvm-project-20.1.0-rc1.src.tar.xz 147144668 BLAKE2B ea4733962f38ea5897c73e91840818921739909c3671749bc8a0b1d2798e5a0815bbe750ade3a2a7414836ab7158754818b2f9370a4ee1bbbd52c96b1e95ef9b SHA512 c23c4b1227b6b0b7c3059358e64a00ee98893236bb1a0a41d7e821bdf2aa8353aea8f9f7b9498899c6807b9b8e2ceb06c3cd62e32fd07a786a319135055541b4
DIST llvm-project-20.1.0-rc1.src.tar.xz.sig 566 BLAKE2B 32eb278ec4ff1bb9d258b584922b0d227f4126a957ba75af44dcaa63b6a12ef73db56d6a86f24244af47803ddf6a243149d784f08137cbea60b49700be537705 SHA512 d7a334326201f8ca78284b33c325f180538667a0401bc30931e790aacc96dd78f6559c45929b6c335d40ef1dbe772738c0ce55d881ae3d7401733778b485408c
+DIST llvm-project-20.1.0-rc2.src.tar.xz 147160684 BLAKE2B 6adc1226f022272d78fb0ed361c190d369a2afc53bf868409fe8f4e092d5ffb9894c71870f072bb68162610782f48088468b4a49cdb1bc731d6689c791a5b5e3 SHA512 f303deaec8f25e1b122a7e85df192b6ea10c51472b78a3d14ad9d0b976a533cfbb9164aff0bc99e447e30938cf43363552c5493b4693e1f23291ea7a9b824bbb
+DIST llvm-project-20.1.0-rc2.src.tar.xz.sig 566 BLAKE2B aa91f7be228e51b0f2234bb5e0df173e3ddc90b6db4350a9008c2f8ba53220da6eef0c69778aecac3caecf918a0c54a0d910177ffe7643ad7fc5624a97262b7f SHA512 e5563a8a79b5e9ef26d62dc6d4385c1c86d12a652b4b1e7fc9ce45a2ea66e5118112746a61b439823bf99d65aea82285eabf5e07714eec77e6e5cd02feab82ce
DIST llvm-project-2cd8207b26ea4269630feba661f68554d7ae3c15.tar.gz 227261597 BLAKE2B 51ce992b651fcf08b7fd520420040803b59f1260947953325400c50bec576c418b162d8ae2d2307e70b885b1185c302a97409bcfe48cdb14b8e1384f4e2dfa9e SHA512 a41749943508ea4a18b47c4e947917b5268544e64372c0c3347f9ab8172a2c229d8b1d813d1e842be1b98aedd624524857ed3bb23fe98ad5f36e7a71581abb4b
DIST llvm-project-6f241e36831927e3aea113cfc017c34fdeda340a.tar.gz 227203285 BLAKE2B 8d5e424c1836acc82ea766cd2cef104593c44d197ebeb64f18dbe74b1b5baeb4bc84084f5b68bd87ac36f7df25689dd2522cb6674a97da4f96f4f10f7bae5b06 SHA512 2b6e4bd6445eabfa3ace9b45d20797c7afc23f4553a8938399aeba227e3b8ca6a53a7d7762925a845bfed031c37af692b9c08180fbab80db2f3166940e560077
DIST llvm-project-bfa7edcc6652bdb37d53e0cec64926aab3f280eb.tar.gz 226735989 BLAKE2B 165837dc526e618b44c49d5fa3dceda373452e010a09746bff248903fe77874637d05ab9f5d2f63de7ebce5c14e3b19a131313a4a557adfd20fe9cb93ab60476 SHA512 e9e19176fcf1302727ee34d69eaa820b94959d64ceaf754d8a93ebd5e262cec7fe35e87b08f705b09e42c3ea26b671318eecf10e9137c635b12f481f80fbac23
diff --git a/dev-python/clang/clang-20.1.0_rc2.ebuild b/dev-python/clang/clang-20.1.0_rc2.ebuild
new file mode 100644
index 000000000000..a99c5601e047
--- /dev/null
+++ b/dev-python/clang/clang-20.1.0_rc2.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+inherit llvm.org python-r1
+
+DESCRIPTION="Python bindings for llvm-core/clang"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# The module is opening libclang.so directly, and doing some blasphemy
+# on top of it.
+DEPEND="
+ >=llvm-core/clang-${PV}:*
+ !llvm-core/llvm:0[clang(-),python(-)]
+ !llvm-core/clang:0[python(-)]
+"
+RDEPEND="
+ ${DEPEND}
+ ${PYTHON_DEPS}
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+ test? (
+ llvm-core/clang:${LLVM_MAJOR}
+ )
+"
+
+LLVM_COMPONENTS=( clang/bindings/python )
+llvm.org_set_globals
+
+python_test() {
+ # tests rely on results from a specific clang version, so override
+ # the search path
+ local -x CLANG_LIBRARY_PATH=${BROOT}/usr/lib/llvm/${LLVM_MAJOR}/$(get_libdir)
+ local -x CLANG_NO_DEFAULT_CONFIG=1
+ "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+src_test() {
+ python_foreach_impl python_test
+}
+
+src_install() {
+ python_foreach_impl python_domodule clang
+}
diff --git a/dev-python/cryptography/Manifest b/dev-python/cryptography/Manifest
index 64841f3b0f81..68e362d3aa14 100644
--- a/dev-python/cryptography/Manifest
+++ b/dev-python/cryptography/Manifest
@@ -34,14 +34,19 @@ DIST proc-macro2-1.0.86.crate 48958 BLAKE2B 4b89e07f23af8328dbb34fe2b3f1b202f1e6
DIST proc-macro2-1.0.92.crate 52353 BLAKE2B 9aa29fa6f1c56c0392a94a81b4c61953f4d185012cdca37e356817845535da79d7094bf43472ce63109ce479a2fd0cbef4d802afd61daf92c4db303bcac60e7e SHA512 e614f08acc0a7e97ef580479cf5b682378df1ca16f09bfb2296ebb3490a435229dea9d682c621c54ce57e8e1d3b7803eb8ff83c88bd02e07228dba6d02f14aee
DIST pyo3-0.22.2.crate 538342 BLAKE2B faf347695117f9fe0ebe5cd7f6aa1b0dcfe718343875d6c06438046deccc1075f104d2a2413dcda41ae9827bc363aa147057b45968f6634f577a6a4510a4bb8e SHA512 e8bae09059f50ffe477dad44499cedeaf3a734665f0fd8e8bd4b44f48578d21e4bdb8d55ceea00c5a27da750761842ddf89cfcecdecb2e7a4a17ab192259be9c
DIST pyo3-0.23.2.crate 1073639 BLAKE2B 01ddd26a4e347f3b6d7fee215a1894e779167730710373d59712f2119332fcf287d9c0e75d3d28baff8cf5000afb9d0e577947a26bdd8828428d33aa0f8be537 SHA512 b2b40809e1f26978c140b7ca4ecebb661a47fc01cd03fcd5c486076576c9b229de04f15ed55661db4e26545cb29110f1034a185abb623e4bf7fbb69188db335c
+DIST pyo3-0.23.4.crate 1087676 BLAKE2B 2c7d3530460ff687e8f60dcff0fb01465b2a4642043ebdfc927fc3824b9fbce9c4b304250808a85405d21df12d17a1d1ada7bdf8f3563710692f22223e2732f1 SHA512 0015aa75163ad0ec026d185e15c26f59aaad0eb3cc3044b146e5d703bb375fcd838df2044febbd52e6e129dfba81c8249329fc3e4805695274dac7a69eee0651
DIST pyo3-build-config-0.22.2.crate 31225 BLAKE2B c2e6a3d3d23b7f2f51bcbf1214ab20a298a1e62f85c9af3dab1e77b09f20b657b576feefffb18eb49d438f0ffab525b6bcd1086d500601c327ffd4fd24a719ee SHA512 644c82d30bb27051557efcc9789a81380a64e29bc62abf97de88f42c3791dac74228c7a7d09e0d46d14f07c0475f0bc03fac6ed1367b9a616153e8820b94cbc8
DIST pyo3-build-config-0.23.2.crate 32197 BLAKE2B 393c76b1dcb625145673736272d4cb9d96a02df87ddcc385316652f0ff1b5595a34ebe5d789f61888c2fd82de05476c85f781d21018bd99cb630fa634afee203 SHA512 29678272073e896cb0b65efb0eaba40c82977b18efd389597aef8902e32daff51f2609c6be93ecfe0336260446c3186951f770ff449823cdde5a0518a1585c81
+DIST pyo3-build-config-0.23.4.crate 33885 BLAKE2B 7f95a8a9e08d413899ff1fa64af5a52783bad4a7b4db92835464f12bd8565f152497aaeb45d25cc91eed73950abeea30ca4c7495e3b15423ae588b97038beb18 SHA512 b11442609f43d9baab79daf083caf0366987f6ae182239814ad6df6fe4ad31b95132d74f1162fa9428d229bd8c18ef9b696a4c3329b3960fd705d1705fc5e973
DIST pyo3-ffi-0.22.2.crate 67749 BLAKE2B 0a4357d5f4fbcab9717d58b7a80b63a63bc329267d4725136c4eac7c0101095a50e5f840638dde79034e5df99c4f46664cfdc2ad437837643db5d475c5705cb3 SHA512 bf8b83b4790832d99de8c6a61a15a43fc189505dd843011933305f7f93c4f5f4849fb00cc2a6fa410b788645f8ed8c0df61799cf801966a925abb9756b1ab579
DIST pyo3-ffi-0.23.2.crate 74052 BLAKE2B 085c66bae61e6059331813be77a1e4f850c4b8b12ac60b03188f2a009c9f58e062dc3ea2b9e470a480956bb8cbef645f95e53fae2638d59ebf5039aa5d41d504 SHA512 e228e473da98ce0fe4f15cf840ba1f51f66bb6fd103a7c0bb76b3218980c93b45ecf691f712333f4a27a9efc76517a85f6e13d5e9650b774eadebf59a647e493
+DIST pyo3-ffi-0.23.4.crate 74806 BLAKE2B 650784d46347c00f09c010c39e9762f778efc510ad0b99b5ddf30cab18edaba552207339ad44ed4ae6d87ddfcc56fa540a17e3a4cb331905a0988d5ba2dc682a SHA512 c12097292b4620f4fd98d61fde4a0f0c7d423a94d518fa5b1cf759089b066fede6d83e20171acc2aa7bf268de5700c9b59da32131216734626b0fa5cd5651801
DIST pyo3-macros-0.22.2.crate 8136 BLAKE2B 9dc97d2f60581db1b8ddb562dac917069525f297fe2cbb9aff3ed34d5a08ea43c112c9c7a450539da3536d753778b5ca506dd1b18e1d6b8a3649fc098e7af439 SHA512 f4f4f6af8dc3aa4bcc1698661990ab2112391ef9502e9f71d86e35bd10dc4e1be309102ebb1b7b32751817a6033168dc0486fdb16b35c626101e69f0de807a4a
DIST pyo3-macros-0.23.2.crate 8056 BLAKE2B a87c4b8aab972eaf5e9b941db34e18be411bed8b5753d3e2d3f65e4a18723a72e70858bb34e8db949f0c6b748e122fed41e9c78f6c20150077fcc3c4eb0026ba SHA512 dba0b5bd212b6a5f38d6fc93183c8ab80bb53bfa5f03d471897014f2d3d1959804e5fdbc817845c1cef797f314b924d58eff95cfcb848eb98b283e104d24637c
+DIST pyo3-macros-0.23.4.crate 8852 BLAKE2B ba5722fd52e47aa4dc2e89bacd69326bd98943a1670ebeab08a2e9e8070a0975ebbe928a0bce8b53a700b65294fee2b00d2a1e6623a0c48ac15902cdbfcb7a97 SHA512 c36c9005db5a4b48b5fda881130f4e7da8eef46e2c363c395ccca3fe476e0204d98c2a832cd03c787fb37a2664fadd42bf8f47de71eb44d055754ab5766af934
DIST pyo3-macros-backend-0.22.2.crate 65620 BLAKE2B 37fba9ff384373418d3a7341acafb8e33308a64e30026f828693a37c32ab4a74d058f2db84d00467a20f9f267c96fe54c0f154d1ebbae92490e8dfc0d29c042f SHA512 0517080c0d5d4ed8136521fd37aa3a192c2eb8cab58545d8543ee4df9cd0dcea19fe0678d5ab90f05fe3eb0f4a86fc2f07b76f2e12ac1fcf7e7c195c2ffa4fd8
DIST pyo3-macros-backend-0.23.2.crate 70067 BLAKE2B 905c0e6e5ca0c0a91af8386a632cc81f4a9b08a51a22a260188078abf9ee70d60f77e2fc0df09483d8dc6b37cd455a23b7f70f41ee74a2ad9dd0dbef39cc22c2 SHA512 dc3f8780c09c63c0e0d4f26c29a9a4e29e4fc9f14254ac8a942235e480a3f4bfa3bf073d3011e043b6c22e1999d1f68bf7b0fdf212e9edb4bfb2396a97ab0ee1
+DIST pyo3-macros-backend-0.23.4.crate 70912 BLAKE2B a428c732f0b17d9a8f620d0e8d58469f2cba339c8a8307393ce252a7860808e5d50e6bbf711cafd0635c844f4b1d48e57db4dd99ef7b5e3d97d6f760164278e9 SHA512 2fe670fbf35724f489cc82f38d3f7c1e6aa15b087a2674b7a68b562572f9bb00cbb7746cccfcb62d0861a18f6d24c5739273c8302d1662a161142f4a6b532b6f
DIST quote-1.0.36.crate 28507 BLAKE2B b93495163ed205e33543ed45f084870240d479071d643704b6e348fb9ada6e1d8401893c13348b9964f4b6b17ddb96cb5458eec540f0d761655fcb96a4cd9129 SHA512 f1f002a912692f7ffd4912ca980ec57ff4aca3a7d9e2e42e9e3409e2105c9f59d86c05719f6af309bccaef2f8843b0848a6e3afda3356e045d8e7cc5956ae685
DIST quote-1.0.37.crate 28558 BLAKE2B a7d007a69e619f853af94333e1066bb767013312bd99f147b1b153611242bcfa9c76768b1ba47278589db309a9acd61a772c8ec3b567e48439bb9d831f9326d4 SHA512 c4ed21428c1f89cf22b85d80720a7869831a9c129d694617b0ce8c258278114ab98846f3f653abf736d1c86bc9224bbd695e9a7b06aa3adf292d02e1ef14cc05
DIST self_cell-1.0.4.crate 15220 BLAKE2B 9a617058652ab2a2e92434b6eef58a813ce0be5afed9525c4d4c819c25c7cd87aaa12d129c8c4ca9d74c3ea33d81e9dd295f121887070364185b9ab33021544c SHA512 042467e5f3ac0305e2a634df0b9a9379e92b54813e05c3a7652d5327a4a9a784f49e897c968c5c7a87017284d42a889b5420ad18e97ea84183e0283a46dc907a
diff --git a/dev-python/cryptography/cryptography-44.0.1.ebuild b/dev-python/cryptography/cryptography-44.0.1.ebuild
index 5e4600e70a64..cbe8c2dddcb8 100644
--- a/dev-python/cryptography/cryptography-44.0.1.ebuild
+++ b/dev-python/cryptography/cryptography-44.0.1.ebuild
@@ -31,11 +31,11 @@ CRATES="
pkg-config@0.3.31
portable-atomic@1.10.0
proc-macro2@1.0.92
- pyo3-build-config@0.23.2
- pyo3-ffi@0.23.2
- pyo3-macros-backend@0.23.2
- pyo3-macros@0.23.2
- pyo3@0.23.2
+ pyo3-build-config@0.23.4
+ pyo3-ffi@0.23.4
+ pyo3-macros-backend@0.23.4
+ pyo3-macros@0.23.4
+ pyo3@0.23.4
quote@1.0.37
self_cell@1.0.4
shlex@1.3.0
diff --git a/dev-python/fixtures/Manifest b/dev-python/fixtures/Manifest
index d64080dcd534..eee140ba5603 100644
--- a/dev-python/fixtures/Manifest
+++ b/dev-python/fixtures/Manifest
@@ -1 +1,2 @@
DIST fixtures-4.2.2.tar.gz 59199 BLAKE2B 4e390e767e180009533dda5d68e4f4bbbe903acb75d3227a3a447c2b17a3d0497131271888a8ccb5385db447f1f892300811a8a7224ae95fedbeeb37cd31cda6 SHA512 fabb1092bee985d446e7f6eccb7f61d7e89a50b6fb98455d3ea6a45670568a4200fd57409ab78edf288c4103c45f5bf0bd62fc9886a6f9101c1d626078b1fb38
+DIST fixtures-4.2.3.tar.gz 73164 BLAKE2B b4c271c3662ab7dc6948f4e30fb160b04c17a67f03bc95da549ed879ebc5d514456175a468a3e64c4c93dd38106c4224eac0a5525b8863e2fae6f32d88067e5a SHA512 4adb655535897c66966828c406b694a3a211ca84072c5d3efe11d2e09bb40eaa5c0d3b4d17f4604da6ed938d0b1387f1fd96278495dcf206c094f02166f2e65f
diff --git a/dev-python/fixtures/fixtures-4.2.3.ebuild b/dev-python/fixtures/fixtures-4.2.3.ebuild
new file mode 100644
index 000000000000..4f38d9652fbb
--- /dev/null
+++ b/dev-python/fixtures/fixtures-4.2.3.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Fixtures, reusable state for writing clean tests and more"
+HOMEPAGE="
+ https://github.com/testing-cabal/fixtures/
+ https://pypi.org/project/fixtures/
+"
+
+LICENSE="|| ( Apache-2.0 BSD )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/testtools-2.5.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/googleapis-common-protos/Manifest b/dev-python/googleapis-common-protos/Manifest
index e89895e60b38..101358d5177a 100644
--- a/dev-python/googleapis-common-protos/Manifest
+++ b/dev-python/googleapis-common-protos/Manifest
@@ -1 +1,2 @@
DIST googleapis_common_protos-1.66.0.tar.gz 114376 BLAKE2B b25f0d4204a1ba04d8a0ea0315b67d0a0fec0b7c46c1fb7e7deef2ad5ffc31e217f0303ff146a1b490163e76445d212a219f190eddf1c82e207e8bb980e85917 SHA512 c6a0c371bf7bedbb862696562e35567ec1eee3560e5c1fcd61ef20a5bceb99b53cc9f609eb405c724abbf2361e8c58cf8c44ccb8aba3161e892938d8bef60e02
+DIST googleapis_common_protos-1.67.0.tar.gz 57344 BLAKE2B eb3d4f373321e3ff09e0220ba0619e3d8fc2bfe0d3da65fe1b575ad8e2fd69b4c781da2f336a7a9060e64eb55405af16f982dad0661cbb12d53a4e4996e69c02 SHA512 268b73eab64214c1293acd7ff5980bd88c1871b3ed2b45ac418f84ef7ad933030c6387ad0b72b9aef4ba17827f5c787dfdbb22eb65ead5ef4fecfaa86e78b377
diff --git a/dev-python/googleapis-common-protos/googleapis-common-protos-1.67.0.ebuild b/dev-python/googleapis-common-protos/googleapis-common-protos-1.67.0.ebuild
new file mode 100644
index 000000000000..2bb7823662dd
--- /dev/null
+++ b/dev-python/googleapis-common-protos/googleapis-common-protos-1.67.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 2020-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python classes generated from the common protos in the googleapis repository"
+HOMEPAGE="
+ https://github.com/googleapis/python-api-common-protos/
+ https://pypi.org/project/googleapis-common-protos/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ <dev-python/protobuf-6[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-3.15.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/lit/Manifest b/dev-python/lit/Manifest
index 04bfb25ffdfc..e2345ea11956 100644
--- a/dev-python/lit/Manifest
+++ b/dev-python/lit/Manifest
@@ -13,6 +13,8 @@ DIST llvm-project-19.1.7.src.tar.xz.sig 438 BLAKE2B 4015140f4ba77de45039bdbdfbaf
DIST llvm-project-1f26ac10ca1bef40a80be8f81a6f109713bc586f.tar.gz 226424755 BLAKE2B 642befb8d6923f335d1d68129ebb7357f8ba22e110df494dd956c8097e4e5db4b2a88fcc069ab67184b03558f072c68e002bdaf90eba865e38b1473a0ef29eed SHA512 e9bb4fd31bbad5ec864c662515b5ec2e5511cce975040f9f3cd8f009c92f76077928feae0467fd9519a001a379c857f7539c506953d8d5a9209a9f358f414aac
DIST llvm-project-20.1.0-rc1.src.tar.xz 147144668 BLAKE2B ea4733962f38ea5897c73e91840818921739909c3671749bc8a0b1d2798e5a0815bbe750ade3a2a7414836ab7158754818b2f9370a4ee1bbbd52c96b1e95ef9b SHA512 c23c4b1227b6b0b7c3059358e64a00ee98893236bb1a0a41d7e821bdf2aa8353aea8f9f7b9498899c6807b9b8e2ceb06c3cd62e32fd07a786a319135055541b4
DIST llvm-project-20.1.0-rc1.src.tar.xz.sig 566 BLAKE2B 32eb278ec4ff1bb9d258b584922b0d227f4126a957ba75af44dcaa63b6a12ef73db56d6a86f24244af47803ddf6a243149d784f08137cbea60b49700be537705 SHA512 d7a334326201f8ca78284b33c325f180538667a0401bc30931e790aacc96dd78f6559c45929b6c335d40ef1dbe772738c0ce55d881ae3d7401733778b485408c
+DIST llvm-project-20.1.0-rc2.src.tar.xz 147160684 BLAKE2B 6adc1226f022272d78fb0ed361c190d369a2afc53bf868409fe8f4e092d5ffb9894c71870f072bb68162610782f48088468b4a49cdb1bc731d6689c791a5b5e3 SHA512 f303deaec8f25e1b122a7e85df192b6ea10c51472b78a3d14ad9d0b976a533cfbb9164aff0bc99e447e30938cf43363552c5493b4693e1f23291ea7a9b824bbb
+DIST llvm-project-20.1.0-rc2.src.tar.xz.sig 566 BLAKE2B aa91f7be228e51b0f2234bb5e0df173e3ddc90b6db4350a9008c2f8ba53220da6eef0c69778aecac3caecf918a0c54a0d910177ffe7643ad7fc5624a97262b7f SHA512 e5563a8a79b5e9ef26d62dc6d4385c1c86d12a652b4b1e7fc9ce45a2ea66e5118112746a61b439823bf99d65aea82285eabf5e07714eec77e6e5cd02feab82ce
DIST llvm-project-2cd8207b26ea4269630feba661f68554d7ae3c15.tar.gz 227261597 BLAKE2B 51ce992b651fcf08b7fd520420040803b59f1260947953325400c50bec576c418b162d8ae2d2307e70b885b1185c302a97409bcfe48cdb14b8e1384f4e2dfa9e SHA512 a41749943508ea4a18b47c4e947917b5268544e64372c0c3347f9ab8172a2c229d8b1d813d1e842be1b98aedd624524857ed3bb23fe98ad5f36e7a71581abb4b
DIST llvm-project-6f241e36831927e3aea113cfc017c34fdeda340a.tar.gz 227203285 BLAKE2B 8d5e424c1836acc82ea766cd2cef104593c44d197ebeb64f18dbe74b1b5baeb4bc84084f5b68bd87ac36f7df25689dd2522cb6674a97da4f96f4f10f7bae5b06 SHA512 2b6e4bd6445eabfa3ace9b45d20797c7afc23f4553a8938399aeba227e3b8ca6a53a7d7762925a845bfed031c37af692b9c08180fbab80db2f3166940e560077
DIST llvm-project-bfa7edcc6652bdb37d53e0cec64926aab3f280eb.tar.gz 226735989 BLAKE2B 165837dc526e618b44c49d5fa3dceda373452e010a09746bff248903fe77874637d05ab9f5d2f63de7ebce5c14e3b19a131313a4a557adfd20fe9cb93ab60476 SHA512 e9e19176fcf1302727ee34d69eaa820b94959d64ceaf754d8a93ebd5e262cec7fe35e87b08f705b09e42c3ea26b671318eecf10e9137c635b12f481f80fbac23
diff --git a/dev-python/lit/lit-20.1.0_rc2.ebuild b/dev-python/lit/lit-20.1.0_rc2.ebuild
new file mode 100644
index 000000000000..4230fa63b2a4
--- /dev/null
+++ b/dev-python/lit/lit-20.1.0_rc2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 llvm.org
+
+DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Tests require 'FileCheck' and 'not' utilities (from llvm)
+BDEPEND="
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ llvm-core/llvm
+ )
+"
+
+LLVM_COMPONENTS=( llvm/utils/lit )
+llvm.org_set_globals
+
+# TODO: move the manpage generation here (from llvm-core/llvm)
+
+src_prepare() {
+ # flaky test
+ # https://github.com/llvm/llvm-project/issues/72022
+ rm tests/progress-bar.py || die
+
+ cd "${WORKDIR}" || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x LIT_PRESERVES_TMP=1
+ local litflags=$(get_lit_flags)
+ ./lit.py ${litflags//;/ } tests || die
+}
diff --git a/dev-python/mkdocs-material/Manifest b/dev-python/mkdocs-material/Manifest
index 57e1d538e90c..b5731b8cd74c 100644
--- a/dev-python/mkdocs-material/Manifest
+++ b/dev-python/mkdocs-material/Manifest
@@ -2,3 +2,4 @@ DIST mkdocs-material-9.5.50.gh.tar.gz 14753521 BLAKE2B 3d4b98bdd89d3e106f5cbd78b
DIST mkdocs-material-9.6.1.gh.tar.gz 14796273 BLAKE2B 3dd42a064c50149a5ec0b45594f7136825145c6f279373856fd3cb426eaf71a867c1e63ad30b108145e76cf90ad04f4b0663094adfec46abb345014b39289ebd SHA512 ac2a6815b1d934ef47d292acefabaf7d63424033800325b8fbbe8bd6812a167777e810dd6a9b6431614434b0fcba8f316f96b876f12796ec6688c3078bd3eaa7
DIST mkdocs-material-9.6.2.gh.tar.gz 14915916 BLAKE2B fd849ff8c14c8bd865c04d205af221cf294499e65359558a7d227258dfd2fa4b5b4978eb54f4f31310473b25e9ebf2cad9cc9e9ba6695712c651ac14064822cf SHA512 7de7a8ef0b1904598071996e5e858849a37fb48e1d1339560e59ab4ff09146ae4001ae7357c1974aa3d9eb103394a6cd27e177b028753224564a80e277733e9f
DIST mkdocs-material-9.6.3.gh.tar.gz 14915630 BLAKE2B 9945f9991cdad74f3ca92217b32ef649b27504f6efe7aa1fc530505d60e41b13aa617468adf8beff9350f2d84f0a7801fd4d157209aa1e8e018a919454e3ef05 SHA512 1208f45a664701b27b1092dd2491a5172112bf603c24fab1afc3bfef790d286f60a6ce20c0762af851b348201b2d51e26f62940a2ded827d02c17aa10d1ba96f
+DIST mkdocs-material-9.6.4.gh.tar.gz 14916428 BLAKE2B 9cbf971ec00af1b3ab8d9786dcd4bfe44536a4ae20d2d82fcdebbd8abe0810e527589958bffec6bf8180369f174b70e4a36ce57a69aec49ac182836cf7c8eec6 SHA512 327ea81256e90a3f9ba473f93c4e1a23a31844620e03c5f9da2833655a4cd98803a06e46e0c22469e577bcea30d316bf8ad2d855b4f5bcaddfe58d73e6d4d1f5
diff --git a/dev-python/mkdocs-material/mkdocs-material-9.6.4.ebuild b/dev-python/mkdocs-material/mkdocs-material-9.6.4.ebuild
new file mode 100644
index 000000000000..09a2daf59272
--- /dev/null
+++ b/dev-python/mkdocs-material/mkdocs-material-9.6.4.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ dev-python/mkdocs-material-extensions
+ dev-python/mkdocs-minify-plugin
+ dev-python/mkdocs-redirects
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="A Material Design theme for MkDocs"
+HOMEPAGE="
+ https://github.com/squidfunk/mkdocs-material/
+ https://pypi.org/project/mkdocs-material/
+"
+SRC_URI="
+ https://github.com/squidfunk/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="social"
+
+RDEPEND="
+ >=dev-python/babel-2.10.3[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
+ >=dev-python/jinja2-3.0.2[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.6[${PYTHON_USEDEP}]
+ >=dev-python/markdown-3.2[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.5.3[${PYTHON_USEDEP}]
+ >=dev-python/paginate-0.5.6[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.16[${PYTHON_USEDEP}]
+ >=dev-python/pymdown-extensions-10.2[${PYTHON_USEDEP}]
+ >=dev-python/readtime-2.0[${PYTHON_USEDEP}]
+ >=dev-python/regex-2022.4.24[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.26[${PYTHON_USEDEP}]
+ social? (
+ >=dev-python/pillow-10.2[${PYTHON_USEDEP}]
+ >=media-gfx/cairosvg-2.5[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ >=dev-python/trove-classifiers-2023.10.18[${PYTHON_USEDEP}]
+"
+# mkdocs-material-extensions depends on mkdocs-material creating a circular dep
+PDEPEND="
+ >=dev-python/mkdocs-material-extensions-1.2[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ # simplify pyproject to remove extra deps for metadata
+ "${FILESDIR}/${PN}-8.5.7-simplify-build.patch"
+)
+
+src_prepare() {
+ echo "__version__ = '${PV}'" > gentoo_version.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/myst-parser/Manifest b/dev-python/myst-parser/Manifest
index e57c40a17a4d..5b1ae099600c 100644
--- a/dev-python/myst-parser/Manifest
+++ b/dev-python/myst-parser/Manifest
@@ -1 +1,2 @@
DIST MyST-Parser-4.0.0.gh.tar.gz 825843 BLAKE2B 60361e72014fc4428e026f6b93f91878824a0cd46bbe128b04c0ab9e9578c252fea6ece23dfbee0b1652d5529e411669d7cdab3ffebe8128e791ebdd26b950cd SHA512 82a8c642d839133413577fd85b5668a6b4d3869f60b7c7c64f98ec6cf52f33b28abd33ee7ddbbf8e286a3f233a152878802e6a8091c88f63844ac774c88ebd62
+DIST MyST-Parser-4.0.1.gh.tar.gz 825970 BLAKE2B 04e8da0947d0acd8fb9dd73b3f133ee14e119868bb119882bfab972ca7a402d0afd9b8fec1f3f26500ae2a6581fcae4f782e577411ef78f3b4b893e1c50c9426 SHA512 40bdad9abb84cda3c77303dd7ad766c77df43bca11c787812007f2399525fe955201b09495079a88973ada3e87102c95eeec2cba6d2be89f6b61d3c9df57bfae
diff --git a/dev-python/myst-parser/myst-parser-4.0.1.ebuild b/dev-python/myst-parser/myst-parser-4.0.1.ebuild
new file mode 100644
index 000000000000..3f5696f2fae1
--- /dev/null
+++ b/dev-python/myst-parser/myst-parser-4.0.1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1
+
+MY_P=MyST-Parser-${PV}
+DESCRIPTION="Extended commonmark compliant parser, with bridges to Sphinx"
+HOMEPAGE="
+ https://github.com/executablebooks/MyST-Parser/
+ https://pypi.org/project/myst-parser/
+"
+SRC_URI="
+ https://github.com/executablebooks/MyST-Parser/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/docutils-0.18[${PYTHON_USEDEP}]
+ dev-python/jinja2[${PYTHON_USEDEP}]
+ <dev-python/markdown-it-py-4[${PYTHON_USEDEP}]
+ >=dev-python/markdown-it-py-3.0[${PYTHON_USEDEP}]
+ <dev-python/mdit-py-plugins-0.5[${PYTHON_USEDEP}]
+ >=dev-python/mdit-py-plugins-0.4.1[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ <dev-python/sphinx-9[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-6[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ <dev-python/linkify-it-py-3[${PYTHON_USEDEP}]
+ >=dev-python/linkify-it-py-2.0.0[${PYTHON_USEDEP}]
+ dev-python/pytest-regressions[${PYTHON_USEDEP}]
+ dev-python/pytest-param-files[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-7.3[${PYTHON_USEDEP}]
+ dev-python/sphinx-pytest[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # minor pygments mismatch
+ tests/test_sphinx/test_sphinx_builds.py::test_includes
+)
+
+src_prepare() {
+ default
+
+ # unpin docutils
+ sed -i -e '/docutils/s:,<[0-9.]*::' pyproject.toml || die
+}
diff --git a/dev-python/pytest-check/Manifest b/dev-python/pytest-check/Manifest
index d63d43002dc4..8f2190042f97 100644
--- a/dev-python/pytest-check/Manifest
+++ b/dev-python/pytest-check/Manifest
@@ -1,2 +1,3 @@
DIST pytest_check-2.4.1.tar.gz 28933 BLAKE2B 47ab104426e9c967ba7ad82cb76663803ce55133ca868369ff466def35ad0ea64ef7872464de8184ee985cc938265f0efc586212a9e6be0b0879d955dcd29e10 SHA512 a334425d5aba77b574bcddad8d9a15ffac1638df1ab3b2aeceb4c1580a3871a36431a7d287e1cc1d272bd57b92c1f6e65c3976fdd1793935bfc357916b15b11a
DIST pytest_check-2.4.2.tar.gz 25569 BLAKE2B b83d9df13c78f363e09833b75137e9d833913c3be7d901af9e6e8c3afa96eaf3e3522a50024f07bd0661ce77b11c43c9af167cdfc4a34d603890425361f12a91 SHA512 62786df10e409738421ef2a2e94c5419f62a8152342f06477c9fafabc075f38d84a3892f1a1db40aac65e8c0d027ca42e3d0852488ae5cda55c1b07a60e95de3
+DIST pytest_check-2.5.0.tar.gz 26844 BLAKE2B 3428071078f9a15ae33937be56957c537c4c98344cb3a5cda798f71caa6bd99e067113af64f548380c949bf6a79202db84e98da16f861d73ad23053a3ea2ec05 SHA512 0a3738f67f1a8467504919d5289398811af8b6bbacef81e27942ce467d3d9e373f2ec9497e4f1794ead2e3f8f9552da538c2472236b9c882cfd2ee3822c50d39
diff --git a/dev-python/pytest-check/pytest-check-2.5.0.ebuild b/dev-python/pytest-check/pytest-check-2.5.0.ebuild
new file mode 100644
index 000000000000..c4e629f8a508
--- /dev/null
+++ b/dev-python/pytest-check/pytest-check-2.5.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 2021-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="pytest plugin that allows multiple failures per test"
+HOMEPAGE="
+ https://github.com/okken/pytest-check/
+ https://pypi.org/project/pytest-check/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/pytest-7.0.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/typing-extensions-4.12.2[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/recurring-ical-events/Manifest b/dev-python/recurring-ical-events/Manifest
index f04ab2323222..fe980ebc74b0 100644
--- a/dev-python/recurring-ical-events/Manifest
+++ b/dev-python/recurring-ical-events/Manifest
@@ -1,2 +1,2 @@
-DIST python-recurring-ical-events-3.4.1.gh.tar.gz 511709 BLAKE2B 30d0c8894b723d4e2a824840837d5f966fbfcf9b525e98e28993d8bfa5aad4f9a8042e1484339afeb8a966381cc4df92335cb7d13e31baaeb85e22e5e5fc6a1f SHA512 fbad8bf7878a0806fba6c11cfb644f2aecd99b3bab63194137effc4730b81b18aa9a8b3bc48c4442d083515e8a41fc392afbe64f15b5d597fd24079c80e02ff6
DIST python-recurring-ical-events-3.5.0.gh.tar.gz 519274 BLAKE2B 153c65210a4bcbc3fad9140c9f8c19c0391a2da8e3e4bf712ea341d822486f9d56704966cdbcdfa432dc01edac730dd97c1bf55b2338c4d28925f63a5ce98f6f SHA512 7f3e96ddb23c677d947608610955bef9f1eec91372b5dca66b6e085b304f17252f31458e5c0c62dd20e2a3f654e0ffcbf7473359901223a82695e506ba0bd0c7
+DIST recurring_ical_events-3.5.1.tar.gz 602738 BLAKE2B 9bb39037f10dc5dcf58c4e38b102cdaf9860108a5c48f7d9d2a80a061e95a3f2295a13319b9a5ada372383ecd1ee37af93846822411b9451de87ed7a9c736761 SHA512 b0bb79a1549dec28396fc80b307021ca74cb9d09ff55980215e376e93f3743be242e57427dcaf996f83363f9806a235bcb1ab3f8077e5e9a899e8c1daefe1e5a
diff --git a/dev-python/recurring-ical-events/recurring-ical-events-3.4.1.ebuild b/dev-python/recurring-ical-events/recurring-ical-events-3.5.1.ebuild
index 3f3dac58e50d..2a915b110f67 100644
--- a/dev-python/recurring-ical-events/recurring-ical-events-3.4.1.ebuild
+++ b/dev-python/recurring-ical-events/recurring-ical-events-3.5.1.ebuild
@@ -3,22 +3,16 @@
EAPI=8
-DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_USE_PEP517=hatchling
PYTHON_COMPAT=( python3_{9,10,11,12,13} )
-inherit distutils-r1
+inherit distutils-r1 pypi
-MY_P=python-${P}
DESCRIPTION="Repeat ICalendar events by RRULE, RDATE and EXDATE"
HOMEPAGE="
https://github.com/niccokunzmann/python-recurring-ical-events/
https://pypi.org/project/recurring-ical-events/
"
-SRC_URI="
- https://github.com/niccokunzmann/python-recurring-ical-events/archive/v${PV}.tar.gz
- -> ${MY_P}.gh.tar.gz
-"
-S=${WORKDIR}/${MY_P}
LICENSE="LGPL-3+"
SLOT="0"
@@ -27,13 +21,14 @@ KEYWORDS="~amd64 ~arm64 ~x86"
RDEPEND="
<dev-python/icalendar-7[${PYTHON_USEDEP}]
>=dev-python/icalendar-6.1.0[${PYTHON_USEDEP}]
+ <dev-python/python-dateutil-3[${PYTHON_USEDEP}]
>=dev-python/python-dateutil-2.8.1[${PYTHON_USEDEP}]
<dev-python/x-wr-timezone-3[${PYTHON_USEDEP}]
>=dev-python/x-wr-timezone-1.0.0[${PYTHON_USEDEP}]
"
BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
test? (
- >=dev-python/icalendar-6[${PYTHON_USEDEP}]
>=dev-python/pytz-2023.3[${PYTHON_USEDEP}]
)
"
diff --git a/dev-python/reportlab/Manifest b/dev-python/reportlab/Manifest
index 8d047c21c916..51d22c190a1e 100644
--- a/dev-python/reportlab/Manifest
+++ b/dev-python/reportlab/Manifest
@@ -1,3 +1,4 @@
DIST pfbfer-20070710.zip 677333 BLAKE2B 100214476a361a5e5d1f3da0999591345f6e3a3f8c6bc3f6a3e9eca734190c6259758a43302c6e41254d33491fe535eb7d5dd07aa9727c912424bebc31fc18df SHA512 6fd4a5d955464b10d13a7b748703450c1fe120d5ed09e8cfa1b4dfa9c183c59fe001df29433af551796b0df62544b7ddc364f9bb1bdcc2cd300434340ffcc4f2
DIST reportlab-4.2.5.tar.gz 3581379 BLAKE2B 560175a5180f3e991a3bed26f40b1c73b80a0f7dde9a30be2693ca0008d5272a3c1903fa930112e5f023e433a45c6ce384f9f239335c12400434a390a25ca501 SHA512 1daf01a03dd12770d40dbc1be66f0128a63953eebc97175d5cdf9a30cc6f827bc7a50e4f12cf0def8edecd3798fdc1fe009b3b92b0a252ca8a1395f83d6e970f
DIST reportlab-4.3.0.tar.gz 3499157 BLAKE2B 0f8e38d637f136b341fb85f8c479eea8bce18ce359fd96b62dd72692eab8fdb9890aa1e91348c400e2d389c3302545044163dd58d10e61d1b2a2878d36cd303f SHA512 5c7e7d25016bf3bddf1060c2c72ce138a0aa81a47571474f62d760a4ce7415c355905c81b92960900d51da390cb28c1d8d74e9a0b84a0ec6ab1ee6e246e7e9e9
+DIST reportlab-4.3.1.tar.gz 3499248 BLAKE2B 972d1fcba0dc69ab8c9ae1517fbca27a03fae70f5aa358d0837b12c1ec38f94579b91dee2a8d624e14c70cff71ca48889437a0af2e034d726cc3b9aad5e3d6fb SHA512 e388f29828c542d2db5d3b2d59f799d01806a971d840045360068f86015e59ef0c78a4e991c287227b7375ac3f1696adac3f3dbcc359f2426418686e0f29875f
diff --git a/dev-python/reportlab/reportlab-4.3.1.ebuild b/dev-python/reportlab/reportlab-4.3.1.ebuild
new file mode 100644
index 000000000000..04c9bc850c66
--- /dev/null
+++ b/dev-python/reportlab/reportlab-4.3.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Tools for generating printable PDF documents from any data source"
+HOMEPAGE="
+ https://www.reportlab.com/
+ https://pypi.org/project/reportlab/
+"
+SRC_URI+="
+ https://www.reportlab.com/ftp/fonts/pfbfer-20070710.zip
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/chardet[${PYTHON_USEDEP}]
+ dev-python/pillow[tiff,truetype,jpeg(+),${PYTHON_USEDEP}]
+"
+BDEPEND="
+ app-arch/unzip
+"
+
+distutils_enable_sphinx docs/source
+
+src_unpack() {
+ unpack ${P}.tar.gz
+ cd ${P}/src/reportlab/fonts || die
+ unpack pfbfer-20070710.zip
+}
+
+src_configure() {
+ cat > local-setup.cfg <<-EOF || die
+ [OPTIONS]
+ no-download-t1-files = 1
+ EOF
+}
+
+python_test() {
+ pushd tests >/dev/null || die
+ "${EPYTHON}" runAll.py --post-install --verbosity=2 ||
+ die "Testing failed with ${EPYTHON}"
+ popd >/dev/null || die
+}
diff --git a/dev-python/sendgrid/Manifest b/dev-python/sendgrid/Manifest
index 70609ab018b4..4baecccc41ce 100644
--- a/dev-python/sendgrid/Manifest
+++ b/dev-python/sendgrid/Manifest
@@ -1 +1 @@
-DIST sendgrid-6.9.7.tar.gz 49919 BLAKE2B 2fdc245e026d21864d1fd1ea761b88b2597434d9d2287ae2d518802b307d737341c4caed8c2d10d3747482817eeefe5511b8a72a5dfaff6bc31515715fd0ef22 SHA512 861e056c0583bf734b0ccd6c3e940d0bdea621e9f21b6482b72d06721afaa9968290550a9c16b1487c9c0891924731d0d6a152d2dd07070f05800acd2ea5aab8
+DIST sendgrid-6.11.0.gh.tar.gz 296224 BLAKE2B 39d9d6d8aaf1794807ca76680b397f41999b6772950fffb10df2fa22b23e1706ea21cdad891177c4d393af19854e4c6b4762ed77550b35f771a9777106d2492f SHA512 b1c26642918209498714eb27d462d2cf6aa80a174e570e1b3d3e0460bcb8038ff16a14a2f160ec24ab3a3871b4acd0b162bdd4b29120746e21967e8932ba54ff
diff --git a/dev-python/sendgrid/sendgrid-6.11.0.ebuild b/dev-python/sendgrid/sendgrid-6.11.0.ebuild
new file mode 100644
index 000000000000..8b7c8260a339
--- /dev/null
+++ b/dev-python/sendgrid/sendgrid-6.11.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1
+
+DESCRIPTION="Twilio SendGrid library for Python"
+HOMEPAGE="https://github.com/sendgrid/sendgrid-python/ https://pypi.org/project/sendgrid/"
+SRC_URI="https://github.com/sendgrid/sendgrid-python/archive/refs/tags/${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${PN}-python-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DOCS="README.rst"
+
+RDEPEND="
+ >=dev-python/flask-1.1.2[${PYTHON_USEDEP}]
+ >=dev-python/more-itertools-5.0.0[${PYTHON_USEDEP}]
+ >=dev-python/python-http-client-3.3.5[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-4.2[${PYTHON_USEDEP}]
+ >=dev-python/six-1.11.0[${PYTHON_USEDEP}]
+ >=dev-python/starkbank-ecdsa-2.2.0[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+"
+
+EPYTEST_IGNORE=(
+ # requires internet access
+ live_test.py
+)
+EPYTEST_DESELECT=(
+ # requires internet access
+ test/integ/test_sendgrid.py
+)
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i 's/"test"/"test", "test.*"/' setup.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/sendgrid/sendgrid-6.9.7.ebuild b/dev-python/sendgrid/sendgrid-6.9.7.ebuild
deleted file mode 100644
index 21ccbcda8de8..000000000000
--- a/dev-python/sendgrid/sendgrid-6.9.7.ebuild
+++ /dev/null
@@ -1,33 +0,0 @@
-# Copyright 2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Twilio SendGrid library for Python"
-HOMEPAGE="https://github.com/sendgrid/sendgrid-python/ https://pypi.org/project/sendgrid/"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-DOCS="README.rst"
-
-RDEPEND=">=dev-python/python-http-client-3.3.5[${PYTHON_USEDEP}]
- >=dev-python/starkbank-ecdsa-2.2.0[${PYTHON_USEDEP}]"
-BDEPEND="
- dev-python/setuptools[${PYTHON_USEDEP}]
- test? (
- dev-python/pytest[${PYTHON_USEDEP}]
- )"
-
-python_test() {
- py.test -v -v || die
-}
-
-distutils_enable_tests pytest
diff --git a/dev-python/sphinx-gallery/Manifest b/dev-python/sphinx-gallery/Manifest
index 9ef955f51559..f692191088c7 100644
--- a/dev-python/sphinx-gallery/Manifest
+++ b/dev-python/sphinx-gallery/Manifest
@@ -1 +1,2 @@
DIST sphinx_gallery-0.18.0.tar.gz 466371 BLAKE2B 5d01bf19fa24d32ea667e7846dae03a85b470f430204a20d65efb988d54a8a6462e8cb6bed03de6f240c4945fbb1aa5e839d84feddd8093ab303d846773e4097 SHA512 59712e6a50d0a01e091b51e8532798ba4068a3a65472c25ea5a913dea599ac1afa54c44a057d332e6204930fa958d5b88dafe796af913566f504f0d9cf91e72a
+DIST sphinx_gallery-0.19.0.tar.gz 471479 BLAKE2B 335d976be4786c522693d5a5c08bbcf29aea6c571187fef77d582b827c4958e34bf1a86fec7012fc6af921600b925f46c25924522c0c5c96519331cb42a30c16 SHA512 90ed1aafa718937ee9bd5c8f52937c5a65058ca5a2138606f48f41637dae8a1d3c22cfcbed2eef3aaf3180ee137d943cfbde72ba2625c23f6d7d8e911f3f374f
diff --git a/dev-python/sphinx-gallery/sphinx-gallery-0.19.0.ebuild b/dev-python/sphinx-gallery/sphinx-gallery-0.19.0.ebuild
new file mode 100644
index 000000000000..da3e9dc1a3c7
--- /dev/null
+++ b/dev-python/sphinx-gallery/sphinx-gallery-0.19.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Sphinx extension to automatically generate an examples gallery"
+HOMEPAGE="
+ https://github.com/sphinx-gallery/sphinx-gallery/
+ https://sphinx-gallery.github.io/
+ https://pypi.org/project/sphinx-gallery/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/joblib[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Internet
+ sphinx_gallery/tests/test_docs_resolv.py::test_embed_code_links_get_data
+ sphinx_gallery/tests/test_full.py::test_run_sphinx
+ sphinx_gallery/tests/test_full.py::test_embed_links_and_styles
+ # require jupyterlite_sphinx
+ sphinx_gallery/tests/test_full.py
+ sphinx_gallery/tests/test_full_noexec.py
+ sphinx_gallery/tests/test_gen_gallery.py::test_create_jupyterlite_contents
+ sphinx_gallery/tests/test_gen_gallery.py::test_create_jupyterlite_contents_non_default_contents
+ sphinx_gallery/tests/test_gen_gallery.py::test_create_jupyterlite_contents_with_jupyterlite_disabled_via_config
+ )
+
+ epytest -o addopts=
+}
diff --git a/dev-python/translate-toolkit/Manifest b/dev-python/translate-toolkit/Manifest
index 45475228f69b..ee8ae0725fa5 100644
--- a/dev-python/translate-toolkit/Manifest
+++ b/dev-python/translate-toolkit/Manifest
@@ -1,2 +1,3 @@
DIST translate-3.14.6.gh.tar.gz 1175486 BLAKE2B 3cfd844815adcd7ac24a41df41f3e717d7afa7c19f4e4467f9ce7892ec9adb321ed2e499358cdaa294c5a5d8ca8e20271ac47cc598b8e7585c290eea8e9b8235 SHA512 a2e23c4ec29e61fdcc0c28e7789478d595a11751c6117b7b5cc9191deec01e31309cea8a6e39c81635105b8b6b10c34533af5b91b736f7c2bbd4780146b79b3d
DIST translate-3.14.7.gh.tar.gz 1176117 BLAKE2B 4237e99c92b1e0e207e4618039061ff33170d1e152d224b2455514f7a30a7248566304e8550bb3f8a7412daf26f50c855541c3d0674d4f9e032e65d9d5e12eec SHA512 e0b505a0d5cd520a83560e08aa414a3b3d95b4c7af96a7dd3cd5a7e28ff827918e12cbefa36212b018a1ab7c2c345d6fb66e94d5d09f80eaa6bcaf330c5927e8
+DIST translate-3.14.8.gh.tar.gz 1177211 BLAKE2B 70e57918899f77057f4f42af2e9aab0df180b788b4f8e22a081cc607d8ee2e34264ba0715e23ede85ffb8882c579b3d6c61cd247756cbdbb54fd8a92f44a838d SHA512 5ff3f56e44f171f2c6bc1c3bf82787cc7f024615fb0d1371a11e8135a2908150ec515b40beaf3a3deeaeefa6c4ea2345ce4766ebe9b3d188d5cabfd762b9ed30
diff --git a/dev-python/translate-toolkit/translate-toolkit-3.14.8.ebuild b/dev-python/translate-toolkit/translate-toolkit-3.14.8.ebuild
new file mode 100644
index 000000000000..88f3a44eb072
--- /dev/null
+++ b/dev-python/translate-toolkit/translate-toolkit-3.14.8.ebuild
@@ -0,0 +1,119 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+MY_P=translate-${PV}
+DESCRIPTION="Toolkit to convert between many translation formats"
+HOMEPAGE="
+ https://github.com/translate/translate/
+ https://pypi.org/project/translate-toolkit/
+"
+SRC_URI="
+ https://github.com/translate/translate/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+html +ical +ini +subtitles +yaml"
+
+RDEPEND="
+ app-text/iso-codes
+ >=dev-python/chardet-3.0.4[${PYTHON_USEDEP}]
+ dev-python/cheroot[${PYTHON_USEDEP}]
+ >=dev-python/levenshtein-0.12.0[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.3.1[${PYTHON_USEDEP}]
+ >=dev-python/mistletoe-1.1.0[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-3[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ >=dev-python/cwcwidth-0.1.9[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ html? ( dev-python/utidylib[${PYTHON_USEDEP}] )
+ ical? ( dev-python/vobject[${PYTHON_USEDEP}] )
+ ini? ( >=dev-python/iniparse-0.5[${PYTHON_USEDEP}] )
+ subtitles? ( media-video/gaupol[${PYTHON_USEDEP}] )
+ yaml? ( dev-python/pyyaml[${PYTHON_USEDEP}] )
+"
+# Technically, the test suite also has undeclared dependency
+# on dev-python/snapshottest but all the tests using it are broken
+# anyway, so we skip them.
+BDEPEND="
+ test? (
+ dev-python/phply[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+ # unfortunately, this bad quality package doesn't support XDG_DATA_DIRS
+ # correctly, so we need to reassemble all data files in a single directory
+ local -x XDG_DATA_HOME=${T}/share
+ cp -r translate/share "${T}/" || die
+ cp -r "${ESYSROOT}/usr/share"/gaupol "${XDG_DATA_HOME}"/ || die
+
+ distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Fails with network-sandbox (and even with it off but w/ softer fail)
+ 'tests/xliff_conformance/test_xliff_conformance.py::test_open_office_to_xliff'
+ 'tests/xliff_conformance/test_xliff_conformance.py::test_po_to_xliff'
+ # all tests based on snapshottest are broken and I'm too tired
+ # to figure this out
+ tests/translate/tools/test_pocount.py::test_{cases,output}
+ tests/translate/tools/test_junitmsgfmt.py::test_output
+ )
+ local EPYTEST_IGNORE=(
+ # unpackaged fluent.*
+ tests/translate/storage/test_fluent.py
+ # changes directory and does not change it back, sigh
+ tests/odf_xliff/test_odf_xliff.py
+ )
+
+ if ! use ini; then
+ EPYTEST_IGNORE+=(
+ translate/convert/test_ini2po.py
+ translate/convert/test_po2ini.py
+ )
+ fi
+
+ if ! use subtitles; then
+ EPYTEST_IGNORE+=(
+ translate/storage/test_subtitles.py
+ )
+ fi
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ insinto /usr
+ doins -r translate/share
+
+ if ! use html; then
+ rm "${ED}"/usr/bin/{html2po,po2html} || die
+ fi
+ if ! use ical; then
+ rm "${ED}"/usr/bin/{ical2po,po2ical} || die
+ fi
+ if ! use ini; then
+ rm "${ED}"/usr/bin/{ini2po,po2ini} || die
+ fi
+ if ! use subtitles; then
+ rm "${ED}"/usr/bin/{sub2po,po2sub} || die
+ fi
+}
diff --git a/dev-python/trimesh/Manifest b/dev-python/trimesh/Manifest
index d880e8259173..8d55d771a3a0 100644
--- a/dev-python/trimesh/Manifest
+++ b/dev-python/trimesh/Manifest
@@ -1,3 +1,4 @@
DIST trimesh-4.5.3.gh.tar.gz 13618342 BLAKE2B 1bb74c872a09d928b9ccd4b098377f584ef05e444c1f3eee50ec456e108485a14757b1bdcb2920118e8ea6f557d56c2708784d51979c18cee956d9b7aac6093a SHA512 4000ae55e8020bf1fd884a646d18db77f55abbb5de2ccc9f89ada4854b2001c0da377d53b834e48f7f43fa4ea1681fd0cf092697bb59e888c5416cf4a245a847
DIST trimesh-4.6.0.gh.tar.gz 13621454 BLAKE2B 520d7be8479c3490dc5125c75ae91887ab499a7af82a7b4ef1568d2ff89ec78f40d2a06f4ad2f7176e9233ca1d6bf209cb64225f44642f93ec0fea4a317e9cb9 SHA512 afb430a939cba17b36d07c6b6eb1acae6aafc388ac636b76dacb8053069f929a60f0d4be56f706786d3853123f3fb361a4550c9cabdbf46aa7d07c7eea956d64
DIST trimesh-4.6.1.gh.tar.gz 13621428 BLAKE2B 2fc457ff32cfb69c93f0640c0f1a08cf801008c3804485dba1cdff8496cf4f5583223fe6c0b1099d3e75527f5ef5df2c8cbadce7cacecb878988c7d973d66bf8 SHA512 1adebab15a08324e4e6585aa2a1cd788439176c4c938a6507bb17eff1bafbb81d86f9be1fb7d7fc2274496b22ff94a47ebae050fc6c8a811cdebb7f68c008653
+DIST trimesh-4.6.2.gh.tar.gz 13621607 BLAKE2B 796f06f9bd43779a6a7a9dea97ec6c62714a4dd1a9151afd37f638d715097b60c47f59f7b253cef355219359279c89f6d70b8e50b62c4746aedae77545cc0b13 SHA512 450d07e19af342f5676a33dd6594c360d6761eb19310c60c9c89bce0eaa0dc032c2a3c1503883baa9889d0c1e53a6738af0655df3ebe95bd7e62c2f9615921bf
diff --git a/dev-python/trimesh/trimesh-4.6.2.ebuild b/dev-python/trimesh/trimesh-4.6.2.ebuild
new file mode 100644
index 000000000000..27578dcade10
--- /dev/null
+++ b/dev-python/trimesh/trimesh-4.6.2.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Python library for loading and using triangular meshes"
+HOMEPAGE="
+ https://trimesh.org/
+ https://github.com/mikedh/trimesh/
+ https://pypi.org/project/trimesh/
+"
+SRC_URI="
+ https://github.com/mikedh/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/charset-normalizer[${PYTHON_USEDEP}]
+ dev-python/colorlog[${PYTHON_USEDEP}]
+ dev-python/httpx[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.20[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/pycollada[${PYTHON_USEDEP}]
+ dev-python/pyglet[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/shapely-1.8.2[${PYTHON_USEDEP}]
+ dev-python/svg-path[${PYTHON_USEDEP}]
+ dev-python/sympy[${PYTHON_USEDEP}]
+ dev-python/xxhash[${PYTHON_USEDEP}]
+ dev-python/rtree[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mapbox-earcut[${PYTHON_USEDEP}]
+ dev-python/pillow[webp,${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_TIMEOUT=1800
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # requires manifold3d
+ tests/test_boolean.py::test_multiple_difference
+ # timing nonsense
+ tests/test_bounds.py::BoundsTest::test_obb_mesh_large
+ )
+ local EPYTEST_IGNORE=(
+ # require pyinstrument
+ tests/test_sweep.py
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
+
+pkg_postinst() {
+ optfeature_header "${PN} functionality can be extended by installing the following packages:"
+ optfeature "making GUI applications with 3D stuff" dev-python/glooey
+ optfeature "2D triangulations of polygons" dev-python/mapbox-earcut
+ optfeature "loading a number of additional mesh formats" dev-python/meshio
+ optfeature "figuring out how much memory we have" dev-python/psutil
+ optfeature "marching cubes and other nice stuff" dev-python/scikit-image
+}